

scoreboard players reset @e k_t_tpho

##forceload
$forceload add $(x) $(y) $(x) $(y)

##storing Player UUID into Scoreboard "k_t_tpho".
execute at @s store result score @s k_t_tpho if entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:horse"}}}] run data get entity @s UUID[1] 1
execute at @s store result score @s k_t_tpho if entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:mule"}}}] run data get entity @s UUID[1] 1
execute at @s store result score @s k_t_tpho if entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:donkey"}}}] run data get entity @s UUID[1] 1
execute at @s store result score @s k_t_tpho if entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:camel"}}}] run data get entity @s UUID[1] 1

##Storing Owner Data from the Mount into the scoreboard "k_t_tpho"
execute at @s store result score @e[type=minecraft:horse,limit=1,sort=nearest,distance=..4] k_t_tpho unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:donkey"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:mule"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:camel"}}}] run data get entity @e[type=minecraft:horse,limit=1,sort=nearest,distance=..4] Owner[1] 1
execute at @s store result score @e[type=minecraft:donkey,limit=1,sort=nearest,distance=..4] k_t_tpho unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:horse"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:mule"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:camel"}}}] run data get entity @e[type=minecraft:donkey,limit=1,sort=nearest,distance=..4] Owner[1] 1
execute at @s store result score @e[type=minecraft:mule,limit=1,sort=nearest,distance=..4] k_t_tpho unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:donkey"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:horse"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:camel"}}}] run data get entity @e[type=minecraft:mule,limit=1,sort=nearest,distance=..4] Owner[1] 1
execute at @s store result score @e[type=minecraft:camel,limit=1,sort=nearest,distance=..4] k_t_tpho unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:donkey"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:horse"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:mule"}}}] run data get entity @e[type=minecraft:camel,limit=1,sort=nearest,distance=..4] Owner[1] 1

##Dismount player from the correct mount.
execute at @s if entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:horse"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:donkey"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:mule"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:camel"}}}] run tp @s ~ ~ ~
execute at @s if entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:donkey"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:horse"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:mule"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:camel"}}}] run tp @s ~ ~ ~
execute at @s if entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:mule"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:donkey"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:horse"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:camel"}}}] run tp @s ~ ~ ~
execute at @s if entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:camel"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:donkey"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:horse"}}}] unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:mule"}}}] run tp @s ~ ~ ~

##TP the matching mount to the new cords.
$execute at @s as @e[type=minecraft:mule,limit=1,distance=..4,sort=nearest,nbt={SaddleItem:{id:"minecraft:saddle"}}] if score @s k_t_tpho = @p[sort=nearest,limit=1] k_t_tpho in minecraft:the_end run tp @s $(x) $(y) $(z)
$execute at @s as @e[type=minecraft:donkey,limit=1,distance=..4,sort=nearest,nbt={SaddleItem:{id:"minecraft:saddle"}}] if score @s k_t_tpho = @p[sort=nearest,limit=1] k_t_tpho in minecraft:the_end run tp @s $(x) $(y) $(z)
$execute at @s as @e[type=minecraft:horse,limit=1,distance=..4,sort=nearest,nbt={SaddleItem:{id:"minecraft:saddle"}}] if score @s k_t_tpho = @p[sort=nearest,limit=1] k_t_tpho in minecraft:the_end run tp @s $(x) $(y) $(z)
$execute at @s as @e[type=minecraft:camel,limit=1,distance=..4,sort=nearest,nbt={SaddleItem:{id:"minecraft:saddle"}}] in minecraft:the_end run tp @s $(x) $(y) $(z)

##TP Player to the cords.
$execute in minecraft:the_end as @s unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:horse"}}}] run tp @s $(x) $(y) $(z)
$execute in minecraft:the_end as @s unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:mule"}}}] run tp @s $(x) $(y) $(z)
$execute in minecraft:the_end as @s unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:donkey"}}}] run tp @s $(x) $(y) $(z)
$execute in minecraft:the_end as @s unless entity @s[nbt={RootVehicle:{Entity:{id:"minecraft:camel"}}}] run tp @s $(x) $(y) $(z)

## Check if the teleporter has more than 1 uses left.
$scoreboard players set @s k_t_uses $(uses)

##Cleaning up; scores and deleting Item (unless 1 is to not clear while in creativ, unless 2 for overall never clear if the scoreboard is on 1)
execute as @s run function k_tel:use_tel/clear with storage tel_marc

##remove forceload
$forceload remove $(x) $(y) $(x) $(y)
effect give @s minecraft:slow_falling 1 255 true